#

Secret Space Encryptor for Android (page optimized for mobile devices) |

| Password Vault |
| Text Encryptor |
| File Encryptor |
| Utils |
| Settings |
| About |

## More

<< Main Page

SSE Localizations
Security Tips
SSE 关于
KW: Password Vault, Password Manager, Message Encrypt, Text Encrypt, File Encrypt, Folder Crypt, Directory Crypt, Photo and Video Encrypter, free (open source), android system mobile phone, for tablet, smart phones, for cell phones, mp3 players, strong cipher, AES, R6, Serpent, blowfish 448 bit, Threefish 1024bit
KW2: cipher, cryptographic software, confidential materials, private messages, sensitive informations, unauthorized access, secret keeper, secure all, valuable data, powerfull crypt engine, password protection, data guardian, private data, unbreakable ciphers, powerful ciphering
Keep your secrets secret everywhere.